<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>
    <script type="text/javascript">
$(function () {
	  'use strict'

	$("[data-trigger]").on("click", function(){
        var trigger_id =  $(this).attr('data-trigger');
        $(trigger_id).toggleClass("show");
        $('body').toggleClass("offcanvas-active");
    });

    $(document).on('keydown', function(event) {
        if(event.keyCode === 27) {
           $(".navbar-collapse").removeClass("show");
           $("body").removeClass("overlay-active");
        }
    });

    $(".btn-close").click(function(e){
        $(".navbar-collapse").removeClass("show");
        $("body").removeClass("offcanvas-active");
    });

})

        window.onscroll = function() {myFunction()};

function myFunction() {
  var winScroll = document.body.scrollTop || document.documentElement.scrollTop;
  var height = document.documentElement.scrollHeight - document.documentElement.clientHeight;
  var scrolled = (winScroll / height) * 100;
  document.getElementById("myBar").style.width = scrolled + "%";
}

      $(window).on("scroll", function() {
            if($(window).scrollTop()) {
                  $('nav').addClass('black');
            }

            else {
                  $('nav').removeClass('black');
            }
      })

</script>


    <title>Icecream</title>
</head>
<style>
    body{
        background-image: url(https://picsum.photos/1920/1080/?blur);
    }
    button {
    border: 0;
    padding: 0;
    display: inline;
    background: none;
    text-decoration: underline;
    color: blue;
}
button:hover {
    cursor: pointer;
}
    table.table {
        margin-left: auto;
        margin-right: auto;
        margin-top: 100px;
        background-color: white;
}
    .caption {
  left: 0;
  margin-top: 150px;
  width: 100%;

}
    .caption span.border {
  background-color: #343a3f;
  color: #fff;
  padding: 18px;
  font-size: 25px;
  letter-spacing: 10px;
}
</style>
<body>
<div class="caption d-flex justify-content-center">
                <span class="border">Ice cream</span>
            </div>
    <form action="sort" method="post">
        <table class="table col-md-8" id="Table" width="300">
    <thead class="thead-dark">
      <tr>
        <th>Name</th>
      </tr>
    </thead>
    <tbody>
      <tr>
          <td><button name="tsort" value="mint">Mint</button></td>
      </tr>
      <tr>
          <td><button name="tsort" value="lemon">Lemon</button></td>
      </tr>
      <tr>
          <td><button name="tsort" value="strawberry">Strawberry</button></td>
      </tr>
    </tbody>
  </table>
    </form>

</body>
</html>
